package net.ranides.assira.collection.query.base;

import net.ranides.test.CQueryAssert;
import org.junit.Test;

import net.ranides.assira.collection.lists.IntRange;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.*;

public class CQListSupplierTest {

    @Test
    public void paralellEach() {
        List<Integer> range = new ArrayList<>(new IntRange(0, 50));
        CQueryAssert.assertOrderedParallel(CQListSupplier.from(() -> range));
    }
}